/* Images */
.cmdish__bestseller { background: url(i/menu/bestseller.svg); }

/*
.cmsect__title-name:after { background: url(i/menu/tick.svg) no-repeat 0 0; }
*/
.cmsect__title:after { background: url(i/menu/down.svg) no-repeat 50% 50%;}



.menu__lang { padding: 0 0 0 21px; display: inline-block; vertical-align: top; }
.menu__lang--ru { background: url(i/menu/lang/ru.svg) no-repeat 0 5px; }
.menu__lang--en { background: url(i/menu/lang/en.svg) no-repeat 0 5px; }
.menu__lang--pl { background: url(i/menu/lang/pl.svg) no-repeat 0 5px; }

/* rating */
.cmdish__rating { width: 88px; height: 16px; background: url(i/menu/rating.svg) no-repeat 50%; }
.cmdish__rating--5 { background-position: 0 50%; }
.cmdish__rating--4 { background-position: -18px 50%; }
.cmdish__rating--3 { background-position: -35px 50%; }
.cmdish__rating--2 { background-position: -53px 50%; }
.cmdish__rating--1 { background-position: -71px 50%; }
.cmdish__rating--0 { background-position: -88px 50%; }



/* DESKTOP */
@media screen and (min-width:501px) {

  /* layout */
  .menu { font: 0/0 a; margin: 0 0 20px 0; }

  .menu__types { display: none; }

  .menu__left { display: inline-block; vertical-align: top; width: 25%; }
  .menu__right { display: inline-block; vertical-align: top; width: 75%; }

  @supports (position: sticky) and (display: flex) {
    .menu__left-sticky { position: sticky; top: 10px; max-height: calc(100vh - 20px); overflow: auto; overflow: overlay; }
    .menu__left-sticky::-webkit-scrollbar { height: 56px; width: 0; }
    .menu__left-sticky::-webkit-scrollbar-thumb { background:#ccc }
    .menu__left-sticky::-webkit-scrollbar-track { background: #fff }

    .menu__left:hover .menu__left-sticky::-webkit-scrollbar { width: 6px; }


  }

  @supports(display: flex) {
    .menu { display: flex }
  }

  .menu__langs { position: absolute; z-index: 2; right: 70px; margin: 19px 0 0 0; }
  .menu__lang { font: 400 15px/23px geometria, arial; margin: 0 10px 0 0; }
  .menu__lang--active { color: #ff0000; }
  .menu__lang:hover { color: #ff0000; }

  .menu__sections { margin: 0 0 0 15px; }


  /* buttons */
  .cmbut {  margin: 10px 0 0 0;  }
  .cmbut__item { cursor: pointer; display: inline-block; transition: background-color 200ms; padding: 0 6px 0 30px; border-radius: 3px; font: 14px/26px geometria, arial; border: 0; background: rgba(231,231,231,.8) no-repeat; color: #000;  }
  .cmbut__item--upload { background-image: url(i/menu/upload.svg); background-position: 10px 8px; background-size: 12px auto; margin: 7px 0 0 0 }
  .cmbut__item--export { background-image: url(i/menu/share.svg); background-position: 9px 7px; background-size: 12px auto; margin: 7px 0 0 0 }
  .cmbut__item:hover { background-color: #DBDBDB }


  /* info */

  .menu__info { font: 500 17px/20px geometria, arial; color: #000; text-align: center; background: #FFE86D; padding: 15px 30px; margin: 0 0 15px 0; border-radius: 3px; }
  .menu__info a { color: #ff0000; text-decoration: underline; cursor: pointer; }
  .menu__info b { font-weight: 600; }
  .menu__info span { white-space: nowrap; }
  .menu__info-short { display: none; }
  .menu__info-expand:hover { color: #ff0000; }
  .menu__info--collapsed { cursor: pointer; }
  .menu__info--collapsed .menu__info-short { display: block; }
  .menu__info--collapsed .menu__info-full { display: none; }



  /* left rubrics */
  .cmrub { background: #fff; border-radius: 3px; padding: 18px 0 10px 0 }
  .cmrub__block { margin: 0 0 20px 0 }
  .cmrub__block:last-child { margin: 0; }
  .cmrub__title { font: 700 18px/20px geometria, arial; margin: 0 0 8px 0; }
  .cmrub__title-a { color: #000; }
  .cmrub__title-a:after { content: attr(data-full); }
  .cmrub__title-a:hover { text-decoration: none; color: #ff0000; }
  .cmrub__item { font: 400 15px/17px geometria, arial; padding: 0 15px 0 10px;  margin: 0 0 15px 0; display: block; color: #333; cursor: pointer; }
  .cmrub__item-underline { border-bottom: 1px solid #ddd; }
  .cmrub__item-text { position: relative; top: 2px; }
  .cmrub__item:hover { color: #ff0000; }
  .cmrub__item:hover > .cmrub__item-underline { border-bottom-color: rgba(255,0,0,.3);  }
  .cmrub__item--history { color: #21c286 }

  /*
  .cmrub__more:before { content: attr(data-text); text-decoration: underline;  }
  .cmrub__more:after { content: "↓"; margin: 0 0 0 5px; font-size: 14px; }
  .cmrub__more:hover { background: transparent; color: #ff0000; }

    .cmrub__item--hidden { display: none }

    .cmrub__block--expanded .cmrub__more { color: #ff0000; }
  .cmrub__block--expanded .cmrub__item--hidden { display: block; }
  .cmrub__block--expanded .cmrub__more:after { content: "↑"; }
  .cmrub__block--expanded .cmrub__more:before { content: attr(data-text2); }

  */



  .cmrub__title-date {  color: #999; font: 13px/13px geometria, arial; margin: 1px 0 0 0; }
  .cmrub__date { font-size: 12px; }
  .cmrub__title:hover .cmrub__date--editable { border-bottom: 1px dashed #ddd; cursor: pointer; display: inline-block; line-height: 11px; }
  .cmrub__title:hover .cmrub__date--editable:hover { color: #ff0000; border-bottom-color: #ff0000; }

  .cmrub__edit { margin: 0 0 0 10px; display: none; }
  .cmrub__edit:hover { color: #ff0000; }
  .cmrub__title:hover .cmrub__edit { display: inline; }


  /* section */
  .cmsect { position: relative; border-radius: 3px; background: #fff; margin: 0 0 13px 0;  }
  .cmsect:last-child { margin: 0; }
  .cmsect__anchor { position: absolute; margin: -97px 0 0 0; }
  .cmsect__title { cursor: pointer; padding: 15px 0 18px 20px; position: sticky; top: 0; background: #fff; z-index: 1; border-bottom: 1px solid #ccc; border-radius: 3px 3px 0 0 }
  .cmsect__title:after { width: 65px; opacity: .5; transition: opacity 300ms; content: ""; position: absolute; background-position: 50% 59%; background-size: 26px auto; right: 0; top: 0; bottom: 0; }

  .cmsect__title-name { font: 700 24px/24px geometria, arial;  }
  /*
  .cmsect__title-name:after { content: ""; width: 6px; height: 6px; display: inline-block; vertical-align: middle; margin: -1px 0 0 5px; }
  */
  .cmsect__title:hover { color: #ff0000; }
  /*.cmsect__title:hover > .cmsect__title-name:after { background-image: url(i/menu/tick-red.svg); }*/
  .cmsect__title:hover:after { opacity: 1; }
  .cmsect__button { visibility: hidden; cursor: pointer; border: 0; border-radius: 2px; font: 600 16px/30px geometria, arial; padding: 0 8px 0 28px;position: absolute; right: 15px; top: 14px; background: #FFDD22 url(i/menu/cart.svg) no-repeat 5px 8px; }
  .cmsect--active .cmsect__button { visibility: visible; }
  .cmsect__total { font: 600 24px/24px geometria, arial; border-top: 1px solid #eee; text-align: right; padding: 15px 18px 15px 0 }


  /* dish */
  .cmdish { padding: 15px 170px 15px 20px; position: relative; border-bottom: 1px solid #eee; }

  .cmdish__anchor { position: absolute; margin: -180px 0 0 0; }
  .cmdish:hover { background: #fafafa; transition: background 100ms; }
  .cmdish:last-child { border-bottom: 0 }
  .cmdish--with-weights { min-height: 60px; }
  .cmdish--with-photos { padding-left: 100px; min-height: 80px; }
  .cmdish__name { font: 600 17px/20px geometria, arial }
  .cmdish__name-a { color: #000; }
  .cmdish__name-a:hover { color: #ff0000; }
  .cmdish__photos { position: absolute; left: 20px; top: 10px; }

  .cmdish__picture--mobile-delivery { display: none; }

  .cmdish__photo { width: 60px; height: 60px; border-radius: 5px; }

  .cmdish__ingredients { font: 15px/17px geometria, arial; margin: 3px 0 0 0 }
  .cmdish__meta { position: absolute; right: 20px; top: 15px; white-space: nowrap; text-align: right }
  .cmdish__price { font: 600 17px/20px geometria, arial; display: inline-block; }
  .cmdish__price--more { color: #0066ff; border-bottom: 1px dotted; cursor: pointer }
  .cmdish__price--more:hover { color: #ff0000; }
  .cmdish__weight { font: 14px/20px geometria, arial; margin: 0 4px 0 0; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; max-width: 95px }

  .cmdish__prices { position: absolute; top: -6px; right: -10px; background: #fff; box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.2); z-index: 2; color: #000; }
  .cmdish__prices-item:nth-child(odd) { background: #f3f3f3; }
  .cmdish__prices-item { padding: 6px 10px 1px 25px; cursor: pointer; }
  .cmdish__prices-item > .cmdish__price { margin-bottom: 1px; }
  .cmdish__prices-item:hover { background: #ffeca6; }


  .cmdish__bestseller { width: 35px; height: 14px; display: inline-block; vertical-align: middle; }

  .cmdish__rating { margin: 0 0 10px 0; }

  .cmdish__warn { color: #ff523d; display: inline-block; font: 13px/13px geometria; margin: 5px 0 5px 0; }


  /* TERM */
  .cmdish__term { width: 15px; height: 15px; background: url(i/menu/term.svg) no-repeat 50% 50%; cursor: default; display: inline-block; vertical-align: middle; position: relative; top: -1px; }
  .cmdish__term:hover { background-image: url(i/menu/term-hover.svg); }


  .cmdish__company { font: 16px/21px geometria, arial; margin: 5px 0 0 0; display: block; }
  .cmdish__company-a { color: #009A2C; display: inline-block; border-bottom: 1px solid rgba(0,154,44,0.3); line-height: 16px; }
  .cmdish__company-a:hover { color: #ff0000; border-bottom-color: #ff0000; }
  .cmdish__company-city { margin: 0 0 0 8px; color: #999; }


  /* delivery */
  .cmdish--delivery { min-height: 177px; padding: 25px 115px 25px 280px }
  .cmdish--delivery.cmdish--flowers { min-height: 280px; }
  .cmdish--delivery.cmdish--no-photos { min-height: 120px; background: url(i/menu/nophoto.svg) no-repeat 100px 50%; }
  .html--flowers .cmdish--delivery.cmdish--no-photos { background-image: url(i/menu/nophoto-flowers.svg); }
  .cmdish--delivery .cmdish__photos { top: 20px; }
  .cmdish--delivery .cmdish__photo { width: 240px; height: 135px; border-radius: 3px; }
  .cmdish--delivery.cmdish--flowers .cmdish__photo { height: 240px; }
  .cmdish--delivery .cmdish__name { font: 600 21px/21px geometria, arial }
  .cmdish--delivery .cmdish__ingredients { font: 400 15px/20px geometria, arial; color: #666; margin: 5px 0 0 0; }
  .cmdish--delivery .cmdish__meta { top: 25px; }
  .cmdish--delivery .cmdish__price { font: 600 21px/21px geometria, arial }

  .cmdish__order-wrap { margin: 10px 0 0 0; white-space: nowrap; }
  .cmdish--no-ingredients .cmdish__order-wrap { margin-top: 15px }


  .cmdish__button { cursor: pointer; position: relative; vertical-align: middle; border: none; color: #fff; height: 25px; width: 195px; font: 600 17px/25px geometria, arial; border-radius: 2px; padding: 0 8px; transition: all .15s ease; -webkit-font-smoothing: antialiased; }
  .cmdish__button + .cmdish__button { margin: 0 0 0 8px; }
  .cmdish__button:after { content: attr(data-full); }
    .cmdish__button.btload--loading:after { display: none }

  .cmdish__cart { background-color: #3cb919; }
  .cmdish__oneclick { background-color: #ff7600; background-image:  url(i/menu/fastorder.svg), linear-gradient(to top, #ff4848, #ff7600); background-position: 9px 50%, 0 0; background-repeat: no-repeat; padding-left: 25px; }

  .cmdish--delivery .cmdish__controls { display: none; }


    .cmdish__oneclick:hover { background-image:  url(i/menu/fastorder.svg), linear-gradient(to top, #cc5400, #ff6900); background-color: #cc5400 }
    .cmdish__oneclick:active { transform: perspective(1px) scale3d(0.96, 0.96, 1) }





}

/* CONTROLS */

.cmdish__controls { width: 63px; height: 23px; position: absolute; right: 0; top: 0; font: 0/0 a; display: block; margin-top: 0; }
.cmdish__control { border: 0; width: 30px; height: 21px; display: inline-block; vertical-align: baseline; cursor: pointer; transition: background-color 300ms; }
.cmdish__control--minus { border-radius: 5px 0 0 5px; background: #ffccd2 url(i/menu/minus.svg) no-repeat 50%; margin: 0 1px 0 0; }
.cmdish__control--plus { border-radius: 0 5px 5px 0; background: #CAF69B url(i/menu/plus.svg) no-repeat 50%; }





/* MOBILE */
@media screen and (max-width:500px) {

  .cmdish__oneclick { background: #ff7600 /*linear-gradient(to right, #FF9E00, #FF5000);*/ }

  /* layout */
  .menu__left { display: none }

  .cmbut { display: none; }

  .menu__langs { position: absolute; right: 45px; z-index: 2; }
  .menu__lang { font: 400 0/24px geometria, arial; margin-right: 2px; }


  /* types */
  .menu__types { font: 0/0 a; overflow: hidden; margin: 9px 10px; height: 27px; }
  .menu__types-scrollable { text-align: center; white-space: nowrap; overflow: scroll; -webkit-overflow-scrolling: touch; padding: 0 0 20px 0; }
  .menu__types-item { color: #000; background: #fff; border: 1px solid #ccc; display: inline-block; vertical-align: top; border-radius: 2px; cursor: pointer; padding: 0 6px; margin: 0 9px 0 0; font: 600 18px/25px geometria, arial; height: 25px; }
  .menu__types-item:last-child { margin: 0; }
  .menu__types-item--active { background: #ff0000; color: #fff; border-color: #ff0000; }



  /* info */

  .menu__info { margin: 9px 10px; }
  .menu__info-wrap { font: 400 15px/20px geometria, arial; border-radius: 3px; color: #000; text-align: center; background: #FFE86D; padding: 10px; }
  .menu__info--delivery { background: #F1F1EC }
  .menu__info--with-app { margin-bottom: 0 }


  .menu__info a { color: #000; text-decoration: underline; cursor: pointer; }
  .menu__info b { font-weight: 600; }

  .menu__info br { display: none; }
  .menu__info p { display: inline; }
  .menu__info-short { display: none; }
  .menu__info--collapsed .menu__info-short { display: block; }
  .menu__info--collapsed .menu__info-full { display: none; }

  .menu__sections { background: #fff; }

  /* section */
  .cmsect__title { background: #F1F1EC; z-index: 1; position: -webkit-sticky; position: sticky; top: 50px; font: 700 19px/19px geometria, arial; padding: 12px 50px 12px 16px; }
  .cmsect__title:after { width: 50px; transition: opacity 300ms; content: ""; position: absolute; background-position: 50% 59%; background-size: 26px auto; right: 0; top: 0; bottom: 0; }

  .cmsect__total { font: 600 19px/19px geometria, arial; text-align: right; padding: 15px 8px 15px 0 }


  /* dish */
  .cmdish { box-shadow: 0 1px 1px -1px rgba(0,0,0,0.3); padding: 15px 16px; min-height: 70px; position: relative; }
  .cmdish__meta { position: absolute; right: 7px; top: 15px; text-align: right; }
  .cmdish__name { font: 600 17px/17px geometria, arial; padding: 0 60px 0 0 }
  .cmdish__name-a { color: #000 }
  .cmdish__ingredients { font: 14px/16px geometria, arial; padding: 0 55px 0 0; margin: 2px 0 0 0; }
  .cmdish__price { font: 600 17px/17px geometria, arial }
  .cmdish__price--more { color: #0066ff; border-bottom: 1px dotted; cursor: pointer }
  .cmdish__weight { font: 12px/12px geometria, arial; margin: 2px 3px 0 0; overflow: hidden; white-space: nowrap; max-width: 55px; text-overflow: ellipsis; }

  .cmdish__prices { position: absolute; top: -6px; right: -3px; background: #fff; box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.2); z-index: 2; color: #000; }
  .cmdish__prices-item:nth-child(odd) { background: #f3f3f3; }
  .cmdish__prices-item { padding: 6px 3px 4px 15px; cursor: pointer; white-space: nowrap; }
  .cmdish__prices-item > .cmdish__price { margin-bottom: 3px; }

  .cmdish--with-photos { padding-left: 90px; min-height: 92px; }
  .cmdish__photos { position: absolute; left: 16px; top: 17px; width: 60px; height: 60px; }
  .cmdish__photo { width: 60px; height: 60px; border-radius: 3px; }

  .cmdish__order-wrap { padding: 13px 0 0 13px; }
  .cmdish__button { cursor: pointer; position: relative; vertical-align: top; font: 600 17px/30px geometria, arial; border: 0; border-radius: 2px; padding: 0 8px; height: 30px; }
  .cmdish__button.btload--loading:after { display: none }
  .cmdish__oneclick {  color: #fff; }
  .cmdish__oneclick:before { margin: 0 0 0 -14px; background-position: 50% 5px; }
  .cmdish__oneclick:after { content: attr(data-full) }

  .cmdish__term { width: 15px; height: 15px; background: url(i/menu/term.svg) no-repeat 50% 50%; cursor: default; display: inline-block; vertical-align: middle; position: relative; top: -1px; }

  .cmdish__rating { position: relative; top: 10px; left: 14px; cursor: pointer; }

  .cmdish__warn { color: #ff523d; display: inline-block; font: 13px/13px geometria; margin: 5px 0 0 14px; }

  .cmdish__cart { background: #3CB919; color: #fff; margin: 0 5px 0 0; width: 106px; }
  .cmdish__cart:after { content: attr(data-short); }
  .cmdish__controls { display: none; }


  .cmdish__company { font: 14px/21px geometria, arial; margin: 7px 0 0 13px; display: inline-block; }
  .cmdish__company-a { color: #009A2C; display: inline-block; border-bottom: 1px solid rgba(0,154,44,0.3); line-height: 14px; }
  .cmdish__company-a:hover { color: #ff0000; border-bottom-color: #ff0000; }
  .cmdish__company-city { color: #999; margin: 0 0 0 5px; }


  /* delivery */

  .menu--delivery { padding: 0 0 10px 0; }
  .menu--delivery .menu__sections { background: transparent }
  .menu--delivery .cmsect:last-child .cmdish { margin-bottom: 0; }

  .cmdish__bestseller { width: 35px; height: 14px; display: inline-block; vertical-align: middle; }

  .cmdish--delivery { padding: 0 0 15px 0; margin: 10px; background: #fff; border-radius: 4px; }

  .cmdish--delivery.cmdish--no-ingredients { padding-bottom: 25px; }
  .cmdish--delivery .cmdish__photos { position: static; width: auto; height: auto;  }
  .cmdish--delivery .cmdish__picture--norm { display: none; }

  .cmdish--delivery .cmdish__picture--mobile-delivery { position: relative; height: 0; overflow: hidden; display: block; }
  .cmdish--delivery .cmdish__photo { position: absolute; left: 0; top: 0; width: 100%; height: 100%; border-radius: 4px 4px 0 0; }

  .cmdish--delivery .cmdish__name { padding: 20px 100px 0 13px; font: 600 19px/19px geometria, arial;}
  .cmdish--delivery .cmdish__meta { top: auto; right: 12px; margin: 20px 0 0 0; }
  .cmdish--delivery .cmdish__weight { display: none; }
  .cmdish--delivery .cmdish__prices-item > .cmdish__weight { display: block; }
  .cmdish--delivery .cmdish__price { font: 600 19px/19px geometria, arial }
  .cmdish--delivery .cmdish__ingredients { padding: 5px 120px 0 13px; font: 15px/17px geometria, arial; }
  .cmdish--delivery .cmdish__ingredients:after { display: inline-block; content: attr(data-weight); white-space: nowrap; color: #999; margin: 0 0 0 5px; overflow: hidden; text-overflow: ellipsis; max-width: 152px; vertical-align: middle; }


}